org.eclnt.jsfserver.util

## Class CascadingValueBindingListener

- java.lang.Object
- - org.eclnt.jsfserver.util.CascadingValueBindingListener

- All Implemented Interfaces:
    IValueBindingListener

      public class CascadingValueBindingListener
      extends java.lang.Object
      implements IValueBindingListener

  Implementation if @link `IValueBindingListener` that notifies each level of a value binding expression that a property was set.
  Example: if the expression of the value that is set is "#{d.d_1.ArticleUI.weight.value}" then a corresponding notification is sent to all objects:
  "#{d.d_1.ArticleUI.weight}"
  "#{d.d_1.ArticleUI}"
  "#{d.d_1}"
  "#{d}"
  The notification is sent if the corresponding object supports interface ICascadingValueBindingListener.
  Please pay attention: the notification is executed during the JSF set phase. I.e. during the set phase you are in the middle of a all set processing and may have an inconsistent data situation: some data already was set, some other properties are not set yet. In case you launch operations, that depend on a consistent data status: use `PhaseManager` to postpone the operation to a later point of time, e.g. end of set-phase, or begin of invoke-phase.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CascadingValueBindingListener.ICascadingValueBindingListener` Interface of object that wants to be notified by a change of a property value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CascadingValueBindingListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reactoOnValueExpressionSet(java.lang.String expressionString, java.lang.Object value)` This method is called by the CaptainCasa value-set-processing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CascadingValueBindingListener

          public CascadingValueBindingListener()

  - ### Method Detail

    - #### reactoOnValueExpressionSet

          public void reactoOnValueExpressionSet(java.lang.String expressionString,
                                                 java.lang.Object value)

      This method is called by the CaptainCasa value-set-processing. Internal usage only.
      Specified by:
        `reactoOnValueExpressionSet` in interface `IValueBindingListener`
        `value` - The value that was set.

Copyright © CaptainCasa Gmbh. All Rights Reserved.